<?php
include('../common/parseargs.php');

$USAGE=" --volumeid=<volumeid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$VOLUMEID=$args_array['volumeid'];


if (strlen($VOLUMEID) < 1) {
        echo "ERROR: --volumeid=<volumeid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

try{

	$client = new soapclient("https://$HOST:$PORT/Volume?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$response = $client->getVolumeById(array('id'=>"$VOLUMEID")) ;

	var_dump($response);
} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
